#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 17. Networking Libraries

- Prev

  neon-0.32.2

- Next

  rpcsvc-proto-1.4.3

- Up
- Home

# nghttp2-1.46.0

## Introduction to nghttp2

nghttp2 is an implementation of HTTP/2 and its header compression algorithm, HPACK.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/nghttp2/nghttp2/releases/download/v1.46.0/nghttp2-1.46.0.tar.xz

- Download MD5 sum: 10e7f75525c4f6680a73c55433723fd6

- Download size: 3.8 MB

- Estimated disk space required: 21 MB

- Estimated build time: 0.1 SBU

### nghttp2 Dependencies

#### Recommended

libxml2-2.9.13

#### Optional

Boost-1.78.0, c-ares-1.18.1, jansson-2.14, libevent-2.1.12, CUnit (required for the testsuite), Cython, jemalloc, libev, mruby, Spdylay, and Sphinx.

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/nghttp2

## Installation of nghttp2

Install nghttp2 by running the following commands:

    ./configure --prefix=/usr     \
                --disable-static  \
                --enable-lib-only \
                --docdir=/usr/share/doc/nghttp2-1.46.0 &&
    make

This package does not come with a usable test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-lib-only`: only build libnghttp2. Omit this switch if you'd like to build the example applications, Python bindings, or the C++ asio library.

## Contents

Installed Programs: None
Installed Libraries: libnghttp2.so
Installed Directories: /usr/include/nghttp2, /usr/share/nghttp2, and /usr/share/doc/nghttp2-1.46.0

### Short Descriptions

`libnghttp2.so` | an implementation of the Hypertext Transfer Protocol version 2 in C

Last updated on

- Prev

  neon-0.32.2

- Next

  rpcsvc-proto-1.4.3

- Up
- Home